> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rollback Helm Release Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}/rollback
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}/rollback:
    post:
      tags:
        - Kubernetes API
      summary: Rollback Helm Release Endpoint
      operationId: >-
        rollback_helm_release_endpoint_api_v1_clusters__cluster_id__kubernetes_helm_releases__namespace___name__rollback_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: namespace
          required: true
          schema:
            maxLength: 253
            minLength: 1
            title: Namespace
            type: string
        - in: path
          name: name
          required: true
          schema:
            maxLength: 253
            minLength: 1
            title: Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RollbackHelmReleaseRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RollbackHelmReleaseResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    RollbackHelmReleaseRequest:
      properties:
        revision:
          minimum: 1
          title: Revision
          type: integer
        timeout_seconds:
          default: 600
          maximum: 3600
          minimum: 1
          title: Timeout Seconds
          type: integer
        wait:
          default: true
          title: Wait
          type: boolean
      required:
        - revision
      title: RollbackHelmReleaseRequest
      type: object
    RollbackHelmReleaseResponse:
      properties:
        elapsed_ms:
          title: Elapsed Ms
          type: integer
        namespace:
          title: Namespace
          type: string
        release_name:
          title: Release Name
          type: string
        revision:
          title: Revision
          type: integer
      required:
        - release_name
        - namespace
        - revision
        - elapsed_ms
      title: RollbackHelmReleaseResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````